﻿package
{
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.events.*;
	import flash.utils.setInterval;
	import flash.events.MouseEvent;
	import flash.display.Shape;
	import flash.display.DisplayObject;

	
	public class Genever extends Sprite
	{
		private var points:Array = new Array();
		private var numPoints:Number = 10;
		private var gravity:Number = 0.1;
		var bigCirle:Sprite;

		
		public function Genever()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME,enterHandler);
			
			
				
		}
		private function enterHandler(e:Event):void
		{
			addPoint();
			update();
			draw();
		}
		private function addPoint():void
		{
			
			  
			var point:Object;
			if(points.length<numPoints){
			point = {};
			initPoint(point);
			points.push(point);
			}
		}
		private function initPoint(p:Object):void
		{
			p.x = mouseX;
			p.y = mouseY;
			p.vx = Math.random()*4-2;
			p.vy = Math.random()*-6-5;
			p.radius = 1;
			
		}
		private function update():void
		{
			for(var i:Number = 0;i< points.length;i++){
				points[i].vy += gravity;
				points[i].x += points[i].vx /2;
				points[i].y+= points[i].vy/2;
				if(points[i].x>stage.stageWidth  || points[i].x < 0 || points[i].y >stage.stageHeight || points[i].y < 0){
					initPoint(points[i]);
				}
				//trace(points[i]);
				/*if (points[i].hitTestObject(bigCirle)) {
				trace("HIT");
			}*/
			}
		}
		private function draw():void
		{
			this.graphics.clear();
			for(var i:Number = 0;i<points.length;i++){
				this.graphics.beginFill(0x7F4E81,1);
				this.graphics.drawCircle(points[i].x,points[i].y,10);
				this.graphics.lineStyle(1,0x7F4E81,1);
				this.graphics.lineTo(points[i+1].x,points[i+1].y);
				this.graphics.endFill();
			}
		}
	}
}